%define upstream_name PhpDocumentor
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

%define		_requires_exceptions pear(PHPUnit/Framework.php)

Name: 		php-pear-%{upstream_name}
Version: 	1.4.4
%define subrel 1
Release:	%mkrel 3
Summary: 	PEAR: The phpDocumentor package provides automatic documenting of php api directly from the source
License: 	LGPL
Group: 		Development/PHP
URL: 		http://pear.php.net/package/PhpDocumentor
Source0: 	http://pear.php.net/get/PhpDocumentor-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:	apache-mod_php
Requires(pre):	php-pear
Requires(pre):	php-pear-PEAR_PackageFileManager
Suggests:	php-pear-XML_Beautifier >= 1.1
BuildRequires:	php-pear
BuildArch:	noarch

%description
The phpDocumentor tool is a standalone auto-documentor similar to JavaDoc
written in PHP.  It differs from PHPDoc in that it is MUCH faster, parses a
much
wider range of php files, and comes with many customizations including 11
HTML
templates, windows help file CHM output, PDF output, and XML DocBook
peardoc2
output for use with documenting PEAR.  In addition, it can do PHPXref
source
code highlighting and linking.

Features (short list):
-output in HTML, PDF (directly), CHM (with windows help compiler), XML
DocBook
-very fast
-web and command-line interface
-fully customizable output with Smarty-based templates
-recognizes JavaDoc-style documentation with special tags customized for
PHP 4
-automatic linking, class inheritance diagrams and intelligent override
-customizable source code highlighting, with phpxref-style
cross-referencing
-parses standard README/CHANGELOG/INSTALL/FAQ files and includes them
 directly in documentation
-generates a todo list from @todo tags in source
-generates multiple documentation sets based on @access private, @internal
and
 {@internal} tags
-example php files can be placed directly in documentation with
highlighting
 and phpxref linking using the @example tag
-linking between external manual and API documentation is possible at the
 sub-section level in all output formats
-easily extended for specific documentation needs with Converter
-full documentation of every feature, manual can be generated directly from
 the source code with "phpdoc -c makedocs" in any format desired.
-current manual always available at http://www.phpdoc.org/manual.php
-user .ini files can be used to control output, multiple outputs can be
 generated at once
 
**WARNING**:
To use the web interface, you must set PEAR's data_dir to a subdirectory of
document root.

If browsing to http://localhost/index.php displays
/path/to/htdocs/index.php,
set data_dir to a subdirectory of /path/to/htdocs:

$ pear config-set data_dir /path/to/htdocs/pear
$ pear install PhpDocumentor

http://localhost/pear/PhpDocumentor is the web interface

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/PhpDocumentor.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/PhpDocumentor.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/PhpDocumentor
fi

%files
%doc docs/PhpDocumentor/*
%{_bindir}/phpdoc
%{peardir}/*
%{xmldir}/PhpDocumentor.xml


%changelog
* Mon Mar 31 2014 spuhler <spuhler> 1.4.4-3.1.mga4
+ Revision: 610969
- pearized spec and dropped smarty patch
 * package crashes with this patch
 * package has smarty libs built

* Fri Oct 18 2013 umeabot <umeabot> 1.4.4-3.mga4
+ Revision: 517203
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.4.4-2.mga3
+ Revision: 377221
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 22 2012 spuhler <spuhler> 1.4.4-1.mga2
+ Revision: 199868
- upgrade to 1.4.4

* Sat Jan 29 2011 spuhler <spuhler> 1.4.3-2.mga1
+ Revision: 44109
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-PhpDocumentor

